Extender (android.app.notification.extender) en el constructor no se puede aplicar a (android.support.v4.app.notificationcompat.wearableextender)

Estoy tratando de emitir una notificación en el reloj de Android, pero obtener este error. Creo que es algo malo con las importaciones, pero no pude organizarlas.

Aquí están mis importaciones:

import android.app.Activity; import android.app.Notification; import android.app.PendingIntent; import android.content.Intent; import android.content.res.Resources; import android.graphics.Bitmap; import android.graphics.BitmapFactory; import android.os.Bundle; import android.support.v4.app.NotificationCompat; import android.support.v4.app.NotificationManagerCompat; import android.support.v4.app.RemoteInput; import android.support.v4.app.TaskStackBuilder; import android.view.View; import android.widget.EditText; import android.widget.TextView; import android.widget.Toast; 

Notificación:

  NotificationCompat.WearableExtender wearableExtender = new NotificationCompat.WearableExtender() .addAction(confirmAction) .addAction(replyAction); Notification notification = new Notification.Builder(this) .setContentTitle(ItemName) .setContentText(ItemQty) .setSmallIcon(R.drawable.ic_task) .setPriority(Notification.PRIORITY_HIGH) .extend(wearableExtender) .build(); 

Mi minSDK es 18 y la versión de compilación es 22.

¿Alguna idea de cuál es el problema? Si necesita algún código adicional, por favor hágamelo saber. Gracias

One Solution collect form web for “Extender (android.app.notification.extender) en el constructor no se puede aplicar a (android.support.v4.app.notificationcompat.wearableextender)”

Me imaginé que sólo tenía que editar mi notificación de la siguiente manera:

 Notification notification = new NotificationCompat.Builder(this) 

Ya que estoy usando appcompat

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.